#
# spec file for package libbonoboui
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libbonoboui
#
Version:        2.24.5
Release:        16.1
Summary:        The Bonobo Part of the GNOME User Interface Libraries
License:        GPL-2.0-or-later AND LGPL-2.1-or-later
Group:          Development/Libraries/GNOME
Source:         http://ftp.gnome.org/pub/GNOME/sources/%{name}/2.24/%{name}-%{version}.tar.bz2
Source99:       baselibs.conf
BuildRequires:  fdupes
BuildRequires:  gtk-doc
BuildRequires:  intltool
BuildRequires:  libglade2-devel
BuildRequires:  libgnome-devel
BuildRequires:  libgnomecanvas-devel
BuildRequires:  pkgconfig
BuildRequires:  translation-update-upstream
BuildRequires:  update-desktop-files
Recommends:     %{name}-lang

%description
This library contains the Bonobo-related part of the GNOME UI
libraries.

%package tools
Summary:        Tools for the Bonobo part of the GNOME User Interface libraries
Group:          Development/Libraries/GNOME

%description tools
This library contains the Bonobo-related part of the GNOME UI
libraries.

This package contains tools to play with Bonobo, including a
tool to browse Bonobo services that are available.

%package devel
Summary:        Development files for libbonoboui
Group:          Development/Libraries/GNOME
Requires:       %{name} = %{version}
Requires:       glib2-devel
Requires:       libbonobo-devel
Requires:       libgnome-devel
Requires:       libgnomecanvas-devel
Requires:       libxml2-devel
Requires:       orbit2-devel
#

%description devel
This package contains all necessary include files and libraries needed
to compile and link applications that use libbonoboui.

%package doc
Summary:        Documentation for libbonoboui
Group:          Documentation/HTML
Requires:       %{name} = %{version}

%description doc
This package contains documentation for libbonoboui.

%lang_package

%prep
%setup -q
translation-update-upstream

%build
%configure --disable-static
make %{?_smp_mflags}

%install
%make_install
%if 0%{?suse_version} <= 1120
rm %{buildroot}%{_datadir}/locale/en@shaw/LC_MESSAGES/*
%endif
%suse_update_desktop_file bonobo-browser System Monitor
%find_lang libbonoboui-2.0 %{?no_lang_C}
find %{buildroot} -type f -name "*.la" -delete -print
# The demo tools are not installed
rm %{buildroot}%{_libdir}/bonobo/servers/CanvDemo.server
rm %{buildroot}%{_datadir}/gnome-2.0/ui/Bonobo_Sample_Container-ui.xml
rm %{buildroot}%{_datadir}/gnome-2.0/ui/Bonobo_Sample_Hello.xml
%fdupes %{buildroot}/%{_prefix}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig
%post tools
%desktop_database_post

%postun tools
%desktop_database_postun

%files
%license COPYING
%doc AUTHORS README NEWS ChangeLog
# generic directory for UI files
%dir %{_datadir}/gnome-2.0
%dir %{_datadir}/gnome-2.0/ui
%{_libdir}/*.so.*
%{_libdir}/libglade/2.0/*.so*

%files tools
%{_bindir}/bonobo-browser
%{_bindir}/test-moniker
%{_datadir}/applications/bonobo-browser.desktop
%{_datadir}/gnome-2.0/ui/bonobo-browser.xml

%files devel
%{_includedir}/libbonoboui-2.0
%{_libdir}/*.so
%{_libdir}/pkgconfig/libbonoboui-2.0.pc

%files doc
%{_datadir}/gtk-doc/html/*
%dir %{_libdir}/bonobo-2.0
%{_libdir}/bonobo/servers/Bonobo_Sample_Controls.server
%dir %{_libdir}/bonobo-2.0/samples/
%{_libdir}/bonobo-2.0/samples/bonobo-sample-controls-2

%files lang -f libbonoboui-2.0.lang

%changelog
* Mon Mar  5 2018 jengelh@inai.de
- Fix RPM groups. Update summaries. Ensure fdupes does not run
  over partition boundaries.
* Wed Feb 28 2018 dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
* Thu Apr 11 2013 mmeister@suse.com
- Added url as source.
  Please see http://en.opensuse.org/SourceUrls
* Fri Mar  1 2013 dimstar@opensuse.org
- Spec-cleanup using format_spec_file service.
* Mon Apr  4 2011 fcrozat@novell.com
- Update to version 2.24.5:
  + Updated translations.
* Sun Feb 13 2011 vuntz@opensuse.org
- Create a tools subpackage, that contains some non-essential tools
  that were in the main package before.
- Call relevant macros in %%post/%%postun:
  + %%desktop_database_post/postun because the package ships at
    least one desktop file.
- Pass %%{?no_lang_C} to %%find_lang so that english documentation
  can be packaged with the program, and not in the lang subpackage.
- Change Requires of lang subpackage to Recommends, since the
  english documentation is not there anymore.
- Remove 2.x references in summaries and descriptions.
- Remove some files that should not be installed.
* Tue Sep 28 2010 vuntz@opensuse.org
- Update to version 2.24.4:
  + Updated translations.
* Tue Aug 31 2010 aj@suse.de
- Recommend instead of require lang package since it's not mandatory.
* Sat Apr 24 2010 coolo@novell.com
- buildrequire pkg-config to fix provides
* Tue Mar 30 2010 vuntz@opensuse.org
- Update to version 2.24.3:
  + Skip unknown accelerators
  + Don't pass NULL to G_OBJECT_GET_CLASS()
  + Updated translations.
- Remove en@shaw translations on 11.2 and earlier.
* Thu Dec 17 2009 jengelh@medozas.de
- Add baselibs.conf as a source
* Mon Sep 28 2009 vuntz@opensuse.org
- Update to version 2.24.2:
  + More gtk single include fixes. bgo#535475.
  + Updated translations.
* Mon Mar 16 2009 sbrabec@suse.cz
- Added support for translation-update-upstream (FATE#301344).
* Fri Mar  6 2009 vuntz@novell.com
- Update to version 2.24.1:
  + Use single glib/gtk+ includes
  + Remove use of deprecated glib/gtk+ api
  + Updated translations
- Remove BuildRequires: gnome-common, perl-XML-Parser, xmlcharent
- Remove AutoReqProv: it's default now.
- Remove unneeded call to autoreconf.
- Remove -fno-strict-aliasing from CFLAGS.
- Remove gnome-desktop-ccperiph.png: it's not needed by
  libbonoboui at all...
- Drop libbonoboui-64bit.patch: doesn't seem to be useful anymore.
* Mon Jan 26 2009 crrodriguez@suse.de
- remove "la" files [BNC#357465]
* Wed Dec 10 2008 olh@suse.de
- use Obsoletes: -XXbit only for ppc64 to help solver during distupgrade
  (bnc#437293)
* Thu Dec  4 2008 olh@suse.de
- obsolete old -XXbit packages (bnc#437293)
* Mon Sep 22 2008 maw@suse.de
- Update to version 2.24.0:
  + Remove further gnome-vfs deps
  + Updated translations.
* Thu Aug 28 2008 maw@suse.de
- Don't package static libraries or libtool archives.
* Thu Aug  7 2008 maw@suse.de
- Update to versino 2.23.5:
  + Remove the gnome-vfs dependency (bgo#544831)
  + Updated translations.
* Wed Jun 18 2008 maw@suse.de
- Update to version 2.23.4:
  + Bugs fixed: bgo#535475 and bgo#525626
  + Updated translations.
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Fri Mar 14 2008 maw@suse.de
- Update to version 2.22.0:
  + Updated translations.
* Thu Jan 31 2008 maw@suse.de
- Update to version 2.21.90:
  + Link to popt since we use it
  + Cleanup bonobo-browser's .desktop file
  + win32 fixes.
* Mon Sep 17 2007 gekker@suse.de
- Update to version 2.20.0
  libbonobo 2.20.0
  * More GOption porting (Gilles Dartiguelounge)
  * Updated translations.
* Tue Aug  7 2007 maw@suse.de
- Split off a -lang subpackage
- Use %%fdupes
- s#%%run_ldconfig#/sbin/ldconfig# in %%post and %%postun.
* Sat Aug  4 2007 aj@suse.de
- bonobo-conf is provided already by gnome-spell2, remove  provides
  and obsoletes, otherwise gnome-spell2 installation will remove
  libbonoboui.
* Tue Jul 31 2007 maw@suse.de
- Update to version 2.19.6:
  * Fix build with gtk+ >= 2.11.6
  * Cleanup bonobo-browser .desktop file (Kjartan Maraas)
  * Use glib/gi18n[-lib].h instead of bonobo-i18n.h (Christian Persch)
- Build with -fno-strict-aliasing
- Add a Provides:.
* Wed Mar 21 2007 maw@suse.de
- Update to version 2.18.0
- Minor updates, including changes to the MAINTAINERS file and
  several Makefiles.
* Fri Feb 16 2007 maw@suse.de
- Update to version 2.17.91
- Remove libbonoboui-undeprecate_gnome.patch
* Wed Feb  7 2007 sbrabec@suse.cz
- Do not build unusable static libraries (#238552).
* Sat Jan  6 2007 sbrabec@suse.cz
- Prefix changed to /usr.
- Spec file cleanup.
- Added %%{_datadir}/gnome-2.0/ui to file list.
* Tue Jan  2 2007 jhargadon@suse.de
- Removed unneeded libtool files (#223689)
* Tue Nov 21 2006 sbrabec@suse.cz
- Do not explicitly require mDNSResponder-lib blocking avahi compat
  package.
* Fri Oct 13 2006 danw@suse.de
- Remove dead patches
* Wed Sep 13 2006 jhargadon@suse.de
- update to version 2.16.0
- Translation updates
- Fix the about dialog in bonobo-browser
- Fix leaks in the UI code that showed up when changing components
  in evolution
- Set menubar to correct detachable state
* Thu Aug 17 2006 jhargadon@suse.de
- update to version 2.15.0
- Use move LINGUAS out of configure.in
- Fix moving of detached toolbars
- Fix a crash in the component browser
- Win32 portability fixes
* Fri Jul 21 2006 gekker@suse.de
- Update to version 2.14.0
  * Fix CORBA object leaks (Adriano Winter Bess)
  * Fix bonobo-object-browser .desktop file
    (Stephane Loeuillet and Vincent Untz)
  * Translation updates.
- Update to version 2.13.1
  * Fix leaks introduced by the GOption argument handling code
    (Christian Perch)
  * Sync with latest libgnome (Christian Persch) [#326846]
- Update to version 2.13.0
  * Add support for GOption argument parsing in libgnome (Pawel Sliwowski, chpe) [#307312]
  * Don't use deprecated gnome_i18n_get_language_list (Gustavo J. A. M. Carneiro)
  * Translation updates.
- Update to version 2.10.1
  * Translation updates.
* Thu Feb  2 2006 sbrabec@suse.cz
- Break dependency loop on gnome-desktop (#147644).
* Tue Jan 31 2006 aj@suse.de
- Reduce BuildRequires.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Nov  8 2005 dmueller@suse.de
- don't build as root
* Mon Sep 26 2005 mls@suse.de
- move libbonoboui-2.so to devel package
- make devel package require base package
* Mon Aug 22 2005 gekker@suse.de
- Update to version 2.10.1
* Thu Jul 21 2005 gekker@suse.de
- Update to version 2.10.0
* Fri Jun 17 2005 gekker@suse.de
- Fix sentinel patch to work with new glib2
* Thu Apr 14 2005 sbrabec@suse.cz
- Added audiofile-devel to neededforbuild.
* Sat Mar 19 2005 ro@suse.de
- copy icon source to this package and remove gnome-desktop
  from nfb, which caused a cycle
* Wed Mar 16 2005 clahey@suse.de
- Add an icon for bonobo-component-browser.
* Mon Mar  7 2005 clahey@suse.de
- Moved the bonobo Component browser from System->Documentation to
  System->Monitor.
* Thu Feb 10 2005 gekker@suse.de
- Update to version 2.8.1
- add suse_update_desktop_config
- update neededforbuild for new doc requirements
* Mon Feb  7 2005 ro@suse.de
- added mDNSResponder to neededforbuild
* Mon Jan 31 2005 meissner@suse.de
- too much sentinels, dropped 1 wrong one.
* Mon Jan 31 2005 ro@suse.de
- fix build: do not define GNOME_DISABLE_DEPRECATED
* Fri Jan 21 2005 meissner@suse.de
- NULL instead of 0 after sentinel warning
- added sentinel markups to headers
- fixed 1 strict aliasing problem, drop -fno-strict-aliasing
* Tue Nov 23 2004 ro@suse.de
- re-add openssl-devel to nfb
* Fri Nov 19 2004 gekker@suse.de
- Update to 2.8.0
* Fri Nov 19 2004 ro@suse.de
- removed extra aclocal include directive
* Mon Oct 25 2004 ro@suse.de
- locale rename: no -> nb
* Tue Oct 12 2004 sbrabec@suse.cz
- Removed linc from build requirements.
- Use gnutls instead of openssl (#44438).
* Mon Jul  5 2004 jody@suse.de
- Updated to version 2.6.1 (GNOME 2.6).
* Thu Apr 22 2004 sbrabec@suse.cz
- Updated to version 2.6.0 (GNOME 2.6).
* Thu Feb 26 2004 sbrabec@suse.cz
- Added Obsoletes: bonobo-conf. This package is no real successor, but
  it ensures seamless Evolution-less SLES update.
* Mon Oct  6 2003 sbrabec@suse.cz
- Updated to version 2.4.0 (GNOME 2.4).
* Tue Aug  5 2003 hhetter@suse.de
- updated to 2.2.4 bugfix release
* Tue Jul 22 2003 hhetter@suse.de
- fix typo at aclocal usage
* Mon Jul 14 2003 sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Tue Jun 24 2003 sbrabec@suse.cz
- Updated to version 2.2.2.
- Updated neededforbuild.
- Created libbonoboui-doc.
* Sun Jun 22 2003 ro@suse.de
- added directories to filelist
* Sun Jun  1 2003 ro@suse.de
- remove unpackaged files from buildroot
- include static lib in devel package
* Wed May 14 2003 sbrabec@suse.cz
- Sync -devel Requires with pkgconfig (bug #26874).
* Mon Apr 28 2003 sf@suse.de
- added fontconfig* to neededforbuild
* Wed Jan 29 2003 hhetter@suse.de
- updated to version 2.2.0
* Wed Jan 15 2003 hhetter@suse.de
- updated to version 2.1.2
* Tue Jan 14 2003 ro@suse.de
- added expat to neededforbuild
* Wed Nov  6 2002 sbrabec@suse.cz
- Updated to version 2.0.3.2.
- Fixed missing libxml2 in include path.
* Thu Oct 24 2002 hhetter@suse.de
- use "-c" with automake (Bug Id #21066)
* Tue Sep 24 2002 sbrabec@suse.cz
- Added alsa-devel to neededforbuild, because esound-devel can require it.
* Wed Sep 18 2002 sbrabec@suse.cz
- Added alsa to neededforbuild, because esound can depend on it.
* Tue Sep 10 2002 sf@suse.de
- fixed call of 'bonobo_closure_invoke' with wrong va_arg type
* Fri Aug  9 2002 hhetter@suse.de
- updated to version 2.0.1
* Fri Aug  9 2002 kukuk@suse.de
- Add openssl to neededforbuild
* Thu Jun 20 2002 ro@suse.de
- use "-a -f" for automake
* Tue Jun 11 2002 hhetter@suse.de
- updated to version 2.0.0
* Tue Jun  4 2002 hhetter@suse.de
- updated to version 1.118.0
* Wed May 15 2002 ro@suse.de
- use libdir
* Wed Apr 10 2002 hhetter@suse.de
- update to version 1.113.0 [gnome desktop beta3]
* Fri Feb  1 2002 hhetter@suse.de
- updated to version 1.110.0 [gnome desktop alpha2]
* Fri Jan 25 2002 hhetter@suse.de
- built with audiofile
* Thu Jan 24 2002 hhetter@suse.de
- build with esound
* Thu Jan 17 2002 hhetter@suse.de
- prefixed to /opt/gnome2
* Mon Jan 14 2002 hhetter@suse.de
- updated to version 1.109.1, from the NEWS file:
    + re-enterancy fixes
    + status segv
    + resize grip configurability
    + auto merging fixes
    + signal updates
    + missing macro
    + plug property fixage
    + PropertyControl ported
    + more regression tests
    + file selector updates
    + leak fixes
    + build fixage
- fixed filelist for locales
* Fri Jan 11 2002 hhetter@suse.de
- added libgnomecanvas/-devel to #neededforbuild
* Thu Jan 10 2002 hhetter@suse.de
- fixed fileslist for devel package
* Thu Jan 10 2002 hhetter@suse.de
- initial SuSE package for GNOME 2.0 platform
- use LIBRARY_PATH for broken libtool
